
Foreman - Bug #1262

Node.rb fails when host has no owner

10/26/2011 08:54 AM - Tim Speetjens

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: External Nodes   

Target version: 0.4   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When authentication is activated, node.rb fails for hosts that have no owner specified.

Production log contains:

Processing HostsController#externalNodes to yml (for 192.168.x.y at 2011-10-26 14:36:36) [GET]

Parameters: {"name"=>"host.example.com", "format"=>"yml", "action"=>"externalNodes", "controller"=>"hosts"}

Failed to generate external nodes for host.example.com with undefined method `name' for nil:NilClass

Completed in 12ms (View: 0, DB: 8) | 412 Precondition Failed [http://foreman/node/host.example.com?format=yml]

When host is updated to have an owner, problem disappears

happens with 0.4rc3

Associated revisions

Revision 3fb5cb34 - 10/26/2011 10:05 AM - Ohad Levy

fixes #1262 - Node.rb fails when host has no owner

History

#1 - 10/26/2011 09:01 AM - Ohad Levy

- Category set to External Nodes

- Target version set to 0.4

#2 - 10/26/2011 10:05 AM - Ohad Levy

- Assignee set to Ohad Levy

#3 - 10/26/2011 10:19 AM - Ohad Levy

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 3fb5cb34a0bbf5d170125b6da16d30afbf5ef9d0.
